<?php
/**
 * The index view file of search for mobile template of chanzhiEPS.
 * The file should be used as ajax content
 *
 * @copyright   Copyright 2009-2015 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     商业软件非免费软件
 * @author      Hao Sun <sunhao@cnezsoft.com>
 * @package     search
 * @version     $Id$
 * @link        http://www.chanzhi.org
 */
?>
<?php include TPL_ROOT . 'common/header.html.php';?>
<div class='panel panel-section'>
  <div class='panel-heading'>
    <div class='titile'><i class='icon-search'></i> <?php echo $lang->search->index;?></div>
  </div>
  <div class='panel-body'>
  <?php if(isset($this->config->site->searchRange) and $this->config->site->searchRange == 'mall'):?>
  <div class='cards cards-products'>
    <?php foreach($results as $product):?>
    <div class='col-6'>
      <div class='card' data-ve='product' id='product<?php echo $product->id?>'>
        <a class='card-img' href='<?php echo $product->url?>' style='height:150px;'>
          <?php
          if(empty($product->image))
          {
              $imgColor = $product->id * 57 % 360;
              echo "<div class='media-placeholder' style='background-color: hsl({$imgColor}, 60%, 80%); color: hsl({$imgColor}, 80%, 30%);' data-id='{$product->id}'>{$product->title}</div>";
          }
          else
          {
              $title  = $product->image->primary->title ? $product->image->primary->title : $product->title;
              $imgSrc = "{$config->webRoot}file.php?f={$product->image->primary->pathname}&s=middleURL&t={$product->image->primary->extension}&v={$this->config->site->lastUpload}";
              echo "<img class='lazy' title='{$title}' data-src='{$imgSrc}'> ";
          }
          ?>
        </a>
        <div class='card-content'>
          <?php
          echo "<a href='{$product->url}'>{$product->title}</a>";
          if(!$product->unsaleable)
          {
              if($product->promotion != 0)
              {
                  echo "<strong class='text-price'>" . $this->config->product->currencySymbol . $product->promotion . '</strong>';
              }
              else if($product->price != 0)
              {
                  echo "<strong class='text-price'>" . $this->config->product->currencySymbol . $product->price . '</strong>';
              }
          }
          $productView = isset($this->config->ui->productView) ? $this->config->ui->productView : true;
          if($productView)
          {
              echo "<span data-toggle='tooltip' class='text-muted views-count pull-right' title='{$lang->product->viewsCount}'><i class='icon icon-eye-open'></i> {$product->views}</span>";
          }
          ?>
        </div>
      </div>
    </div>
    <?php endforeach;?>
  </div>
  <?php else:?>
  <div class='cards condensed cards-list'>
  <?php foreach($results as $object):?>
    <a class='card' href='<?php echo $object->url?>'>
      <div class='card-heading'>
        <h5><?php echo $object->title?></h5>
      </div>
      <div class='table-layout'>
        <div class='table-cell'>
          <div class='card-content text-muted small'><?php echo $object->summary;?></div>
          <div class='card-footer small text-muted'>
            <span title="<?php echo $lang->article->addedDate;?>"><i class='icon-time'></i> <?php echo substr($object->addedDate, 0, 10);?></span>
          </div>
        </div>
        <?php if(!empty($object->image)):?>
        <div class='table-cell thumbnail-cell'>
        <?php
          $title = $object->image->primary->title ? $object->image->primary->title : $object->title;
          echo html::image("{$config->webRoot}file.php?f={$object->image->primary->pathname}&o={$object->objectType}&s=smallURL&t={$object->image->primary->extension}&v={$this->config->site->lastUpload}", "title='{$title}' class='thumbnail'" ));
        ?>
        </div>
        <?php endif;?>
      </div>
    </a>
  <?php endforeach;?>
  </div>
  <?php endif;?>
  </div>
  <div class='panel-footer'>
    <div class='small text-muted text-center'><?php printf($lang->search->executeInfo, $pager->recTotal, $consumed);?></div>
    <hr class='space'>
    <?php echo str_replace($words, urlencode($words), $pager->show('justify'));?>
  </div>
</div>
