<?php
public function getTokenByAPI()
{
    $http   = $this->app->loadClass('http');
    $result = $http->get($this->config->zhanqun->api->plat->host . "/admin.php?m=portal&f=apiGetToken&t=json&siteID={$this->config->site->id}&key=" . $this->config->zhanqun->api->key);
    $result = json_decode($result);

    if(!isset($result->status)) return false;
    if($result->status != 'success') return false;
    if(isset($result->data) and md5($result->data) != $result->md5) return false;
    if(isset($result->data))
    {
        $data = json_decode($result->data);
        return $data->token;
    }
}

/**
 * Create Hash 
 * 
 * @param  string    $token 
 * @param  string    $account 
 * @param  string    $time 
 * @access public
 * @return void
 */
public function createHash($token, $account, $time)
{
    return md5($this->config->global->private . $token . $account . $this->config->site->id . $time);
}

/**
 * Reset password for admin.
 * 
 * @param  string    $siteID 
 * @param  string    $adminAccount 
 * @param  string    $adminPassword 
 * @access public
 * @return void
 */
public function resetAdmin($siteID, $adminAccount, $adminPassword)
{
    $database  = $this->loadModel('install')->getNameOfDB($siteID);
    $userTable = $database . '.' . $this->config->db->prefix . 'user';
    $admin = $this->dao->select('*')->from($userTable)->where('account')->eq($adminAccount)->fetch();

    $this->dao->update($userTable)->set('password')->eq($adminPassword)->where('account')->eq($adminAccount)->exec();
}

/**
 * Get super account.
 * 
 * @access public
 * @return object
 */
public function getSuperAccount()
{
    /* Get the super user from database. */
    $user = $this->dao->setAutolang(false)->select('*')->from(TABLE_USER)
        ->where('admin')->eq('super')
        ->andWhere('locked')->eq('0000-00-00 00:00:00')
        ->fetch();
    if(!$user) return false;

    /* Update user data. */
    $user->ip     = $this->server->remote_addr;
    $user->last   = helper::now();
    $user->fails  = 0;
    $user->visits ++;

    /* Save login log if user is admin. */
    if($user->admin == 'super' or $user->admin == 'common') $this->saveLog($user->account, 'success');

    $this->dao->setAutolang(false)->update(TABLE_USER)->data($user)->where('account')->eq($user->account)->exec();

    $user->realname = $this->computeRealname($user);
    $user->shortLast = substr($user->last, 5, -3);
    $user->shortJoin = substr($user->join, 5, -3);
    
    if(commonModel::isAvailable('score'))
    {
        $viewType = $this->app->getViewType();
        if($user)
        {
            $this->app->user->account = $user->account;
            if($user->maxLogin > 0)
            {
                $this->app->loadModuleConfig('score');
                $login = $this->config->score->counts->login;
                $this->dao->update(TABLE_USER)->set('maxLogin = maxLogin - '. $login)->where('account')->eq($user->account)->exec();
                $this->loadModel('score')->earn('login', '', '', 'LOGIN');
            }
        }
    }

    return $user;
}

public function getAdminEntryName()
{
    $path  = dirname($_SERVER['DOCUMENT_ROOT']);
    $files = scandir($path);
    $defaultFiles = array('index.php', 'install.php', 'loader.php', 'upgrade.php');
    foreach($files as $file)
    {
        if(strpos($file, '.php') !== false and !in_array($file, $defaultFiles))
        {
            $contents = file_get_contents($path . '/' . $file);
            if(strpos($contents, "'RUN_MODE', 'admin'")) return basename($file);
        }
    }
    return 'admin.php';
}
